{% extends "ajax/soul/shell.html.twig" %}
{% block title %}{{'News'|trans({}, 'soul')|raw}}{% endblock %}
{% block menu_text %}
    {{ parent() }}
{% endblock %}
{% block soul_content %}
    <div id="news_anchor"></div>
{% endblock %}
{% block js %}
    {{parent()}}
    <script>
        (function() {
            $.html.forEach('img#shell_news_icon[x-src-default]', e=>e.setAttribute('src', e.getAttribute('x-src-default')));

            const fun_announce_events = function() {
                $.html.addEventListenerAll('#news_anchor .pm-endless-more', 'click', function(e,elem) {
                    elem.remove();

                    let skip = [];
                    $.html.forEach('#news_anchor li[x-announce-id]', e=>skip.push(e.getAttribute('x-announce-id')));

                    let container = document.createElement( 'div' );
                    $.ajax.no_history().load( container, '{{ path('pm_announce_all')|e('js') }}', false, {num: 3, skip: skip}, function() {
                        let messages = container.querySelector('ul.group-conversation');
                        let more = container.querySelector('.pm-endless-more');
                        document.querySelector('#news_anchor>ul.group-conversation').innerHTML += messages.innerHTML;
                        if (more) document.querySelector('#news_anchor').innerHTML += more.outerHTML;
                        fun_announce_events();
                        $.msg.execute();
                    } );
                })
            };

            $.ajax.no_history().load(document.getElementById('news_anchor'), '{{ path('pm_announce_all')|e('js') }}', false, {num: 5}, function() {
                fun_announce_events();
                $.msg.execute();
            })


        })();
    </script>
{% endblock %}